Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ancdata.c File Reference
`#include "rubysocket.h"`
`#include <time.h>`

Go to the source code of this file.

## Functions
void | rsock_init_ancdata (void)

## Variables
int | rsock_cmsg_cloexec_state = -1

## Function Documentation

## ◆ rsock_init_ancdata()

void rsock_init_ancdata | ( | void |  | ) |

Definition at line 1697 of file ancdata.c.

References rb_cObject, rb_cSocket, rb_define_class_under(), rb_define_method(), and rb_define_singleton_method().

Referenced by rsock_init_socket_init().

## Variable Documentation

## ◆ rsock_cmsg_cloexec_state

int rsock_cmsg_cloexec_state = -1

Definition at line 5 of file ancdata.c.